<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/


	$info = getModuleInfo($_GET["var1"]);
	if (!$info)
	{
		LabCMS::i()->error("Модуль не найден");
		return;
	}

	LabCMS::i()->setModuleTemplate("info.tpl");
	
	addBreadcrumb($info['name']);
	
	//проверяем установлен ли модуль
	if ($module=Db::i()->selectRow("SELECT module_id, disable FROM ?_modules WHERE module=?", $_GET['var1']))
	{
		$info['module_id']=$module['module_id'];
		$info['disable']=$module['disable'];
	}

	if (!empty($info['depends']))
	{
		$info['depends']=getModuleInfo($info['depends']);
	}
	
	$access=$cfg=array();
	if (!empty($info['access']->permis))
	foreach($info['access']->permis as $permis)
	{
		$permis=get_object_vars($permis);
		$access[$permis['name']]=array('default'=>$permis['default'], 'describe'=>$permis['describe']);
	}
	
	$info['access']=$access;

	if (!empty($info['configs']->config))
	foreach($info['configs']->config as $conf)
	{
		$parent_conf=get_object_vars($conf);
		$default=$parent_conf['type']=='boolean'?($parent_conf['default']?'да':'нет'):$parent_conf['default'];
		$cfg[$parent_conf['name']]=array('default'=>$default, 'title'=>$parent_conf['title'], 'describe'=>$parent_conf['describe']);
	}
	
	$info['configs']=$cfg;
	Tpl::i()->assign('info', $info);
